Package wx :: Class FileHistory

[frames | no frames]

## Type FileHistory

    object --+
             |
        Object --+
                 |
                FileHistory

Proxy of C++ FileHistory class

Method Summary
FileHistory | `__init__(self, maxFiles, idBase)`
| `__del__(self)`
| `AddFilesToMenu(self)`
| `AddFilesToThisMenu(self, menu)`
| `AddFileToHistory(self, file)`
int | `GetCount(self)`
String | `GetHistoryFile(self, i)`
int | `GetMaxFiles(self)`
int | `GetNoHistoryFiles(self)`
| `Load(self, config)`
| `RemoveFileFromHistory(self, i)`
| `RemoveMenu(self, menu)`
| `Save(self, config)`
| `UseMenu(self, menu)`

Property Summary
| `Count`: See `GetCount`
| `HistoryFile`: See `GetHistoryFile`
| `MaxFiles`: See `GetMaxFiles`
| `NoHistoryFiles`: See `GetNoHistoryFiles`
| `thisown`: The membership flag

Property Details

### Count

See `GetCount`

  Get Method:
    `GetCount`(self)

### HistoryFile

See `GetHistoryFile`

  Get Method:
    `GetHistoryFile`(self, i)

### MaxFiles

See `GetMaxFiles`

  Get Method:
    `GetMaxFiles`(self)

### NoHistoryFiles

See `GetNoHistoryFiles`

  Get Method:
    `GetCount`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:10 2007 | http://epydoc.sf.net